/**
 * Copyright (c) 2021, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 *
 * This software is the property of WSO2 Inc. and its suppliers, if any.
 * Dissemination of any information or reproduction of any material contained
 * herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 * You may not alter or remove any copyright or other notice from copies of this content."
 */

import { render } from "@unit-testing";
import React from "react";
import "@testing-library/jest-dom/extend-expect";
import GettingStartedPage from "../getting-started";

describe("Test if the Getting Started page is working as expected", () => {

    it("<GettingStartedPage /> matches snapshot", () => {
        const component = render(<GettingStartedPage />);

        expect(component.container).toMatchSnapshot();
    });

    it("<GettingStartedPage /> renders without exploding", () => {
        const component = render(<GettingStartedPage />);

        expect(component.getByTestId("getting-started-page-layout")).toBeInTheDocument();
    });
});
